--- old/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-11-25 13:59:42.983436381 -0500
+++ new/usr/src/uts/sparc/v9/vm/seg_nf.c	2015-11-25 13:59:42.987002674 -0500
@@ -188,7 +188,7 @@
 	size_t size;
 	struct as *as = seg->s_as;
 
-	ASSERT(as && AS_WRITE_HELD(as, &as->a_lock));
+	ASSERT(as && AS_WRITE_HELD(as));
 
 	/*
 	 * Need a page per virtual color or just 1 if no vac.
@@ -306,7 +306,7 @@
 static int
 segnf_unmap(struct seg *seg, caddr_t addr, size_t len)
 {
-	ASSERT(seg->s_as && AS_WRITE_HELD(seg->s_as, &seg->s_as->a_lock));
+	ASSERT(seg->s_as && AS_WRITE_HELD(seg->s_as));
 
 	/*
 	 * Check for bad sizes.
@@ -375,7 +375,7 @@
 static void
 segnf_free(struct seg *seg)
 {
-	ASSERT(seg->s_as && AS_WRITE_HELD(seg->s_as, &seg->s_as->a_lock));
+	ASSERT(seg->s_as && AS_WRITE_HELD(seg->s_as));
 }
 
 /*
@@ -391,7 +391,7 @@
 static int
 segnf_setprot(struct seg *seg, caddr_t addr, size_t len, uint_t prot)
 {
-	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as, &seg->s_as->a_lock));
+	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as));
 	return (EACCES);
 }
 
@@ -400,7 +400,7 @@
 segnf_checkprot(struct seg *seg, caddr_t addr, size_t len, uint_t prot)
 {
 	uint_t sprot;
-	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as, &seg->s_as->a_lock));
+	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as));
 
 	sprot = seg->s_as == &kas ?  PROT_READ : PROT_READ|PROT_USER;
 	return ((prot & sprot) == prot ? 0 : EACCES);
@@ -424,7 +424,7 @@
 {
 	size_t pgno = seg_page(seg, addr + len) - seg_page(seg, addr) + 1;
 	size_t p;
-	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as, &seg->s_as->a_lock));
+	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as));
 
 	for (p = 0; p < pgno; ++p)
 		protv[p] = PROT_READ;
@@ -435,7 +435,7 @@
 static u_offset_t
 segnf_getoffset(struct seg *seg, caddr_t addr)
 {
-	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as, &seg->s_as->a_lock));
+	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as));
 
 	return ((u_offset_t)0);
 }
@@ -444,7 +444,7 @@
 static int
 segnf_gettype(struct seg *seg, caddr_t addr)
 {
-	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as, &seg->s_as->a_lock));
+	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as));
 
 	return (MAP_SHARED);
 }
@@ -453,7 +453,7 @@
 static int
 segnf_getvp(struct seg *seg, caddr_t addr, struct vnode **vpp)
 {
-	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as, &seg->s_as->a_lock));
+	ASSERT(seg->s_as && AS_LOCK_HELD(seg->s_as));
 
 	*vpp = &nfvp;
 	return (0);
